# Installation

1. Download the repo
```
git clone https://git.nobell.fr/jan/netapp_exporter
cd netapp_exporter
```
2. Move the python exporter to /opt/netapp_exporter
```
sudo mkdir /opt/netapp_exporter
sudo mv netapp_exporter.py /opt/netapp_exporter/
```
3. Install python dependencies
```
pip install -r requirements.txt
```
4. Create the systemd service
```
sudo mv netapp_exporter.service /etc/systemd/system/
sudo systemctl daemon-reload
sudo systemctl start netapp_exporter.service
```
5. Add a collector in prometheus.yml
If not installed, check prometheus installation guide at https://github.com/prometheus/prometheus
```
sudo nano /etc/prometheus/prometheus.yml
```
add these lines
```
  - job_name: "netapp"
    static_configs:
      - targets: ["localhost:8000"]
    params:
      ONTAP_IP: ["netapp_url"]
      ONTAP_USER: ["netapp_username"]
      ONTAP_PASS: ["netapp_password"]
```